rm(list=ls())
library(reshape)
house_prices<-read.csv("data/house_prices.csv")
house_prices<-melt(house_prices,id=c("id","year"),m="value")
houses<-cast(house_prices,id~year)
houses<-houses[,c(1,2,20)]
names(houses)<-c("id","houses_1996","houses_2013")
areas<-read.csv("data/areas.csv")[,-2]
results_prop<-read.csv("data/election_results_prop.csv")
str(results_prop)
results_prop<-results_prop[,c(2:9)]
names(results_prop)[2:8]<-paste(names(results_prop)[2:8],"p",sep="_")
str(results_prop)
results<-read.csv("data/election_results.csv")
results<-results[results$SNP==0,]
results$total_votes<-apply(results[,3:9],1,sum)
library(reshape)
d<-read.csv("data/age_profile.csv")
d<-d[,-3]
names(d)[1:2]<-c("id","name")
d<-melt(d,id=1:2)
d$year<-as.numeric(gsub("X","",d$variable))
d<-na.omit(d)
head(d)
d$cat<-cut(d$year,c(-1,17,40,100))
ages<-cast(d,id~cat,sum)
ages$total_voters<-apply(ages[,3:4],1,sum)
names(ages)<-c("id","under18","under40","over40","total_voters")
ages$p_older<-ages$over40/ages$total_voters
combined<-merge(results,results_prop,by="id")
combined<-merge(combined,ages,by="id")
combined<-merge(combined,houses,by="id")
write.csv(combined,"data/combined.csv",row.names=FALSE)

library(ggplot2)
g0<-ggplot(combined,aes(y=Lab_p,x=p_older))
g0+geom_point()
g0<-ggplot(combined,aes(y=Lab_p,x=Con_p))
g0+geom_point()+geom_smooth()


