#
# This is the user-interface definition of a Shiny web application. You can
# run the application by clicking 'Run App' above.
#
# Find out more about building applications with Shiny here:
# 
#    http://shiny.rstudio.com/
#

library(shiny)
library(plotly)
library(DT)
library(leaflet)

# Define UI for application that draws a histogram
shinyUI(fluidPage(
  navbarPage("",
  tabPanel("Swingometer", 
    fluidRow(
    column(6,
      verbatimTextOutput("out"), 
      sliderInput("Lab2con","Labour switching to Conservatives:",min=0,max=20,value=0),
      sliderInput("Con2lab","Conservatives switching to Labour",min=0,max=20,value=0),
      sliderInput("Ukip2con","Ukip switching to Conservatives",min=0,max=80,value=0),
      sliderInput("Ukip2lab","Ukip switching to Labour",min=0,max=80,value=0)
   
    ),
    column(6,
           verbatimTextOutput("out2"), 
           sliderInput("Con2libdem","Conservatives to Libdem:",min=0,max=20,value=0),
           sliderInput("Lab2libdem","Labour to Libdem:",min=0,max=20,value=0),
           sliderInput("NV2lab","Non voters to Labour:",min=0,max=70,value=0),
           sliderInput("NV2Con","Non voters to Con:",min=0,max=70,value=0)
    ))
    ),
  tabPanel("Changes",dataTableOutput("out3")),
  tabPanel("Current map",leafletOutput("map1")),
  tabPanel("Turnout figure",plotlyOutput("fig1")),
  tabPanel("Current cartogram",leafletOutput("cartomap")),
  tabPanel("Changed cartogram",leafletOutput("cartomap2")),
  tabPanel("Changes map", leafletOutput("map")))
  
))
